Download it now!
Bug 67633 - EDITING: SEARCH function doesn't find text in cells containing hyperlinks
Summary: EDITING: SEARCH function doesn't find text in cells containing hyperlinks
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-01 17:02 UTC by yacamim
Modified: 2015-10-02 13:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
SEARCHing text in cells containing hyperlinks doesn't work (12.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-01 17:02 UTC, yacamim
Details
SEARCHing text in cells containing hyperlinks doesn't work (12.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-01 17:09 UTC, yacamim
Details
Screenshot with Search activated and Match Case disable. (78.16 KB, image/png)
2013-08-03 16:26 UTC, m.a.riosv
Details
Screenshot SEARCHing text in hyperlink (53.73 KB, image/png)
2013-08-04 00:38 UTC, yacamim
Details
Options - LibreOffice Calc - Calculate (55.18 KB, image/png)
2013-08-04 15:02 UTC, yacamim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yacamim 2013-08-01 17:02:39 UTC
Created attachment 83459 [details]
SEARCHing text in cells containing hyperlinks doesn't work

The SEARCH and FIND functions don't find text strings in cells containing hyperlinks. Cell F4 in the attached example should contain the value 2.00 because the hyperlink in cell C4 contains the string "Gewinn". This worked in LibreOffice version 4.0.2.2.
Comment 1 yacamim 2013-08-01 17:09:10 UTC
Created attachment 83461 [details]
SEARCHing text in cells containing hyperlinks doesn't work
Comment 2 m.a.riosv 2013-08-01 21:44:53 UTC
Hi yacamim, thanks for reporting.
Works for me with:
Win7x64ieUltimate
Version: 4.1.1.0.0+Build ID: c1f0f890f5065f88164add33707228f8c6d5755
TinderBox: Win-x86@6-debug, Branch:libreoffice-4-1, Time: 2013-07-28_23:51:08

Please verify the Match Case, and try resetting the user profile, sometimes solve strange issues.
https://wiki.documentfoundation.org/UserProfile
Comment 3 yacamim 2013-08-01 23:34:55 UTC
User profile already resetted, didn't solve the issue.
Comment 4 yacamim 2013-08-03 15:32:34 UTC
Function SEARCH is case insensitive, hence this cannot be the problem. Please consider row 3 in the example which contains the string "Gewinn" in cell C3 instead of a hyperlink and where the SEARCH function works as expected.

My OS is Windows Vista Home Premium 6.0.6002 Service Pack 2 Build 6002 x86 32 bit.

Before upgrading to LibreOffice 4.1.0.4 this worked with LibreOffice 4.0.2.2 on the same desktop PC.
Comment 5 m.a.riosv 2013-08-03 16:26:13 UTC
Created attachment 83587 [details]
Screenshot with Search activated and Match Case disable.

There is the Match Case option to have or not case insensitive. If it is enable it is case sensitive.
In C3 there is a working hyperlink, and it is founded for Search.
Comment 6 yacamim 2013-08-04 00:38:45 UTC
Created attachment 83598 [details]
Screenshot SEARCHing text in hyperlink

This is a misunderstanding, I'm using the SEARCH function in each cell of column F, e.g. in cell F4 as follows:
=WENN(ISTFEHLER(SUCHEN("Gewinn|Promotion|Replay";C4));"";E4)
As you see in the attached screenshot SEARCH finds "Gewinn" in cell C3. In this cell "Gewinn" is a normal text string.
In cell C4 the string "Gewinn" is the text of a hyperlink and SEARCH doesn't find it hence the cell F4 is empty.
Comment 7 m.a.riosv 2013-08-04 10:55:10 UTC
Yes there was a misunderstanding, but as you can see in my last attached screenshot, the value is properly calculate.
Maybe you have disable regular expression:
Menu/Tool/Options/LibreOffiCalc/Calculate - Enable regular expression in formulas.
Comment 8 yacamim 2013-08-04 15:02:38 UTC
Created attachment 83617 [details]
Options - LibreOffice Calc - Calculate

I'm sorry, option regular expressions in formulas is enabled. As I said earlier the same spreadsheet works with LibreOffice 4.0.2.2. The issue arised after upgrading to LibreOffice 4.1.0.4.

I saw that you are using LibreOffice 4.1.1.0.0 and don't have the issue. Therefore I installed libreoffice-4-1~2013-08-04_10.57.28_LibreOfficeDev_4.1.1.0.0_Win_x86.msi today. With this version the error is gone and the SEARCH function works as expected.
Comment 9 m.a.riosv 2013-08-04 17:20:42 UTC
Thanks yacamin, good news,

I think we can change the status to resolved fixed in
Version 4.1.1.0.0+Build ID: c1f0f890f5065f88164add33707228f8c6d5755,

please if you find the issue, reopen it again.